import { useRef } from 'react';
export default function usePrevious(value) {
    const latest = useRef(value);
    const previous = useRef();
    if (latest.current !== value) {
        previous.current = latest.current;
    }
    latest.current = value;
    return previous.current;
}
